boltServeurs dédiés

⚡ Déploiements

[v2] Deploy

post

[Rate Limit: 40/seconds] Initiate a new deployment. A deployment is a containerized server instance of an application version running on the Edgegap platform.

Autorisations
AuthorizationstringRequis
Corps
applicationstringRequis

Name of the application that will be deployed

Example: my-app
versionstringRequis

Name of the version within the application that will be deployed

Example: 25.05.30-16.45.19-04
require_cached_locationsboolean · nullableOptionnel

Deploy faster by limiting placement to locations with cached image.

Default: false
tagsstring[]Optionnel

List of tags to associate with the deployment

Example: my-custom-tag
Réponses
post
/deployments

Get a Deployment Status and Information

get

[Rate Limit: 20/second] Retrieve the information for a deployment.

Autorisations
authorizationstringRequis

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Paramètres de chemin
request_idstringRequis

Unique Identifier to keep track of your request across all Arbitrium ecosystem. It's included in the response of the app deploy, example:

93924761ccde
Réponses
chevron-right
200

Success

application/json
request_idstringRequis

The Unique ID of the Deployment's request

Example: c0653765de3b
fqdnstringRequis

The FQDN that allow to connect to your Deployment

Example: abc123.test.edgegap.com
app_namestringRequis

The name of the deployed App

Example: test
app_versionstringRequis

The version of the deployed App

Example: v1
current_statusstringRequis

The current status of the Deployment

Example: Status.DEPLOYING
runningbooleanRequis

True if the current Deployment is ready to be connected and running

Example: true
whitelisting_activebooleanRequis

True if the current Deployment is ACL protected

Example: true
start_timestringRequis

Timestamp of the Deployment when it is up and running

Example: 2026-03-03 20:01:08.464865
removal_timestringOptionnel

Timestamp of the end of the Deployment

Example: 2026-03-03 20:01:08.464865
elapsed_timeintegerRequis

Time since the Deployment is up and running in seconds

last_statusstringOptionnel

The last status of the Deployment

Example: Status.SEEKING
errorbooleanRequis

True if there is an error with the Deployment

Example: true
error_detailstringOptionnel

The error details of the Deployment

public_ipstringRequis

The public IP

Example: 100.10.0.85
tagsstring[]Optionnel

List of tags associated with the deployment

socketsintegerOptionnel

The Capacity of the Deployment

Example: 5
sockets_usageintegerOptionnel

The Capacity Usage of the Deployment

Example: 2
commandstringOptionnel

The command to use in the container, null mean it will take the default of the container

argumentsstringOptionnel

The arguments to use in the container, null mean it will take the default of the container

max_durationintegerRequis

The deployment's maximum duration is the time, in minutes, that the deployment will remain active before automatically closing.

get
/v1/status/{request_id}

Stop a deployment

delete

Request to stop a Deployment, triggering a graceful shutdown (SIGTERM). Returns 200 or 202 if deployment status is not READY and not ERROR, and stops deployment once either of these statuses is reached - see Deployment Lifecycle.

Autorisations
authorizationstringRequis

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Paramètres de chemin
request_idstringRequis

Unique Identifier to keep track of your request across all Edgegap ecosystem. It's included in the response of the app deploy, example:

93924761ccde
Paramètres de requête
container_log_storagestringOptionnel

If you want to enable the container log storage for the deployment. You can put 'true' if you already have endpoint storage associated with your deployment's app version. You can put 'false' if it is enabled by default and you want to disable it for this specific request. Or you can put the name of your endpoint storage and if it is valid we will store the container logs.

Réponses
chevron-right
200

Success

application/json
messagestringRequis

A message depending of the request termination

Example: Instance 93924761ccde will be deleted
delete
/v1/stop/{request_id}

Delete a Deployment from inside the container

delete

Delete a deployment from the inside of a container. You should use this URL inside your deployment. The URL is injected in your deployment and can be found via the environment variable ARBITRIUM_DELETE_URL.

Paramètres de chemin
request_idstringRequis

Unique Identifier to keep track of your request across all Arbitrium ecosystem. It's included in the response of the app deploy, example:

93924761ccde
access_point_idintegerRequis

Access Point Number provided by our system

Paramètres de requête
container_log_storagestringOptionnel

If you want to enable the container log storage for the deployment. You can put 'true' if you already have endpoint storage associated with your deployment's app version. You can put 'false' if it is enabled by default and you want to disable it for this specific request. Or you can put the name of your endpoint storage and if it is valid we will store the container logs.

Paramètres d'en-tête
authorizationstringRequis

Auto Generated token. This token is injected in your deployment and can be found via the environment variable named ARBITRIUM_DELETE_TOKEN

Réponses
chevron-right
200

Success

application/json
messagestringRequis

A message depending of the request termination

Example: Instance 93924761ccde will be deleted
delete
/v1/self/stop/{request_id}/{access_point_id}

Delete Deployments in Bulk

post

Make a bulk delete of deployments using filters. All the deployments matching the given filters will be permanently deleted.

Autorisations
authorizationstringRequis

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Corps
Réponses
post
/v1/deployments/bulk-stop

List All Deployments

get

[Rate Limit: 10/second] List all deployments.

Autorisations
authorizationstringRequis

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Paramètres de requête
querystringOptionnel

Query to filter the deployments.

Réponses
chevron-right
200

Success

application/json
total_countintegerOptionnel

Total Objects in the Database

messagestring[]Optionnel

Extra Messages for the query

Example: [""]
get
/v1/deployments

List All Locations

get

List all the locations available to deploy on. You can specify an application and a version to filter out the locations that don’t have enough resources to deploy this application version.

Autorisations
authorizationstringRequis

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Paramètres de requête
appstringOptionnel

The App Name you want to filter with capacity

versionstringOptionnel

The Version Name you want to filter with capacity

typestringOptionnel

The type of the location

tagsstringOptionnel

Gets locations with tags. Set to: "true" to have the tags

Réponses
chevron-right
200

Success

application/json
messagesstring[]Optionnel

Extra Messages for the query

Example: [""]
get
/v1/locations

Get Deployment Container Logs

get

Retrieve the logs of your container. Logs are not available when your deployment is terminated. You can set up an endpoint storage to save your logs. Endpoint Storage Documentation

Autorisations
authorizationstringRequis

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Paramètres de chemin
request_idstringRequis
Réponses
chevron-right
200

Success

application/json
logsstringOptionnel

Auto Generated Field for logs

Example: Logs of the container
encodingstringOptionnel

Auto Generated Field for encoding

Example: utf-8
crash_logsstringOptionnel

Auto Generated Field for crash_logs

Example: Logs of the container when it crashed
logs_linkstringOptionnel

Auto Generated Field for logs_link

Example: Link to the logs
get
/v1/deployment/{request_id}/container-logs

Get a Deployment Metrics

get

Get the metrics for a specific deployment based on the start_time, end_time and steps. raw parameter can be set to true to get the raw data.

Autorisations
authorizationstringRequis

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Paramètres de chemin
request_idstringRequis
Paramètres de requête
start_timestringOptionnel

Starting time for the query. Default to deployment start time. Should match %Y-%m-%d %H:%M:%S.%f

	Example: 2021-07-10 00:00:00.00
end_timestringOptionnel

End time for the metrics. Default to now.Must be greater than start_time. Should match %Y-%m-%d %H:%M:%S.%f

	Example: 2021-07-19 00:00:00.00
stepsstringOptionnel

Steps between each metrics.

	Example: 30s, 1m, 5m 10m, 1h
rawstringOptionnel

If set to true, will return the raw data. Default to false.

Réponses
chevron-right
200

Success

application/json
get
/v1/metrics/deployment/{request_id}

Ancien [v1]

circle-exclamation

Create a Deployment request.

post

[Rate Limit: 40/second] Create a new deployment. A deployment is a containerized instance of an application version running on the Edgegap platform.

Autorisations
authorizationstringRequis

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Corps
app_namestringRequis

The application you want to deploy a version of.

Example: kart-racing
version_namestringOptionnel

The application version you want to deploy a container, if not present, the last version created is automatically chosen.

Example: production-v1.0
is_public_appbooleanOptionnel

(DEPRECATED) - No longer used and you don't need to set it.

Default: false
ip_liststring[]Optionnel

This parameter is not optional, but mutually exclusive with the geo_ip_list parameter. One of them is required. List of IP representing your users. These will be used to determine the best location for your deployment.

telemetry_profile_uuid_liststring[]Optionnel

(DEPRECATED)

Example: ["85cf70e6-f871-42c6-96f0-65ff5bd469b5"]
skip_telemetrybooleanOptionnel

If true, the deployment will skip the telemetry measurement. This result in a faster time to deploy.

Default: true
webhook_urlstringOptionnel

A URL to send a POST request when the deployment is ready. The request will contain the deployment status. The content of the request is the same as the v1/status/{request_id} endpoint.

Example: https://www.webhook.com/
tagsstring[]Optionnel

List of tags associated with the deployment. These tags will be shown in the dashboard.

ap_sort_strategystring · enumOptionnel

(DEPRECATED) - No longer used and you don't need to set it.

Example: basicValeurs possibles:
commandstring · nullableOptionnel

Allows to override the container command for this deployment. This is an advanced feature and should be used with caution.If set to null, the default command of the container will be used.

Example: null | 'string'
argumentsstring · nullableOptionnel

Allows to override the container arguments for this deployment. This is an advanced feature and should be used with caution.If set to null, the default arguments of the container will be used.

Example: null | 'string'
Réponses
chevron-right
200

Success

application/json
request_idstringRequis

The identifier of the deployment request. This is used to track the deployment.

Example: 61b1be8f54d9
request_dnsstringRequis

This is the FQDN that allow to connect to your Deployment. It will not resolve until the deployment is ready.

Example: 61b1be8f54d9.pr.edgegap.net
request_appstringRequis

The application that has been deployed.

Example: kart-racing
request_versionstringRequis

The version of the application that has been deployed.

Example: v1.0
request_user_countintegerRequis

This is the number of IP you have provided in the deployment request.

Example: 4
tagsstring[]Optionnel

List of tags that have been injected in the deployment request. This field will only be present if tags were provided in the request.

ap_sort_strategystring · enumOptionnel

(DEPRECATED) - Will only be present if the request was made with the ap_sort_strategy field.

Example: basicValeurs possibles:
post
/v1/deploy

🗺️ Flottes privées

Deploy to Fleet

post

[Rate Limit: 40/seconds] Initiate a new private fleet deployment. A deployment is a containerized server instance of an application version running on the Edgegap platform.

Autorisations
AuthorizationstringRequis
Corps
applicationstringRequis

Name of the application that will be deployed

Example: my-app
versionstringRequis

Name of the version within the application that will be deployed

Example: 25.05.30-16.45.19-04
require_cached_locationsboolean · nullableOptionnel

Deploy faster by limiting placement to locations with cached image.

Default: false
private_host_idsstring[] · min: 1Requis

Preferred and prioritized Private Host IDs to try before overflowing to cloud.

Example: alpha-north-america-95fab093
tagsstring[]Optionnel

List of tags to associate with the deployment

Example: my-custom-tag
Réponses
post
/private-fleets/deployments

List Private Fleet Hosts

get

[Rate Limit: 10/seconds] List all hosts in a private fleet.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
fleet-namestringRequis

Name of your private fleet.

Example: test-fleet
Réponses
chevron-right
200Succès
application/json
get
/private-fleets/{fleet-name}/hosts

🔖 Étiquettes

List tags for a Deployment

get

List tags for a deployment.

Autorisations
authorizationstringRequis

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Paramètres de chemin
request_idstringRequis
Réponses
chevron-right
200

Success

application/json
countintegerOptionnel
paginationobjectOptionnel
get
/v1/deployments/{request_id}/tags

Get tag for a Deployment

get

Get tag for a deployment.

Autorisations
authorizationstringRequis

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Paramètres de chemin
request_idstringRequis
tag_namestringRequis
Réponses
chevron-right
200

Success

application/json
namestringRequis

The name of the tag

Example: v1.0.0
create_timestringOptionnel

UTC time of policy creation

Example: 2022-01-01 00:00:00.000000
last_updatedstringOptionnel

UTC time of policy last update

Example: 2022-01-01 00:00:00.000000
get
/v1/deployments/{request_id}/tags/{tag_name}

Create Tag for a Deployment

post

Create a tag for a deployment. The tag will however not be injected into a running container.

Autorisations
authorizationstringRequis

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Paramètres de chemin
request_idstringRequis
Corps
namestring · max: 20Requis

The name of the tag

Example: v1.0.0
Réponses
chevron-right
200

Success

application/json
namestringRequis

The name of the tag

Example: v1.0.0
create_timestringOptionnel

UTC time of policy creation

Example: 2022-01-01 00:00:00.000000
last_updatedstringOptionnel

UTC time of policy last update

Example: 2022-01-01 00:00:00.000000
post
/v1/deployments/{request_id}/tags

Delete Tag for a Deployment

delete

Delete a tag for a deployment. The tag will however not be removed from the environment of a running container.

Autorisations
authorizationstringRequis

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Paramètres de chemin
request_idstringRequis
tag_namestringRequis
Réponses
delete
/v1/deployments/{request_id}/tags/{tag_name}

Aucun contenu

Update Tag for a Deployment

patch

Update a tag for a deployment.

Autorisations
authorizationstringRequis

To access Edgegap API, generate (and view) your secret tokens in Dashboard - User Settings / Tokens. Add your secret token with each API request as an HTTP header (include the word token): Authorization: token xxxxxxxx-e458-4592-b607-c2c28afd8b62

Paramètres de chemin
request_idstringRequis
tag_namestringRequis
Corps
namestring · max: 20Requis

The name of the tag

Example: v1.0.0
Réponses
chevron-right
200

Success

application/json
namestringRequis

The name of the tag

Example: v1.0.0
create_timestringOptionnel

UTC time of policy creation

Example: 2022-01-01 00:00:00.000000
last_updatedstringOptionnel

UTC time of policy last update

Example: 2022-01-01 00:00:00.000000
patch
/v1/deployments/{request_id}/tags/{tag_name}

Mis à jour

Ce contenu vous a-t-il été utile ?